[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WideSameText

Check whether two widestrings are the same (ignoring case)

## Declaration

Source position: syswideh.inc line 23

`function WideSameText(`
`const s1: WideString;`
`const s2: WideString`
`):Boolean;`

## Description

WideSameText returns True if WideCompareText returns 0 (zero), i.e. when S1 and S2 are the same string (taking into account case).

## See also

WideSameStr |  | Check whether two widestrings are the same (case sensitive)
WideCompareStr |  | Compare two widestrings (case sensitive)
WideCompareText |  | Compare two widestrings (ignoring case).
AnsiSameText |  | Checks whether 2 strings are the same (case insensitive)